> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate company PDF



## OpenAPI

````yaml /openapi/kyb.yaml post /kyb/companies/{id}/pdf/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/companies/{id}/pdf/:
    post:
      tags:
        - Companies
      summary: Generate company PDF
      operationId: kybCompaniesPdfCreate
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: A unique value identifying this company.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KybPdfRequest'
      responses:
        '200':
          content:
            application/pdf:
              schema:
                type: string
                format: binary
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    KybPdfRequest:
      type: object
      properties:
        password:
          type: string
          minLength: 1
        content:
          type: array
          items:
            $ref: '#/components/schemas/CompanyPdfContentEnum'
          default:
            - SUBMITTED_COMPANY_INFO
            - COMPANY_META
            - RELATED_SUBJECTS
            - OWNERSHIP_STRUCTURE
            - QUESTIONNAIRE_ANSWERS
            - COMPANY_NAME_AUDIT
            - BANK_VERIFICATION
            - WEBSITE_AUDIT
            - ADDRESS_AUDIT
            - GOV_CHECKS
            - KYB_DATA_MATCHING
            - KYB_DOCUMENTS
            - AUDIT_LOGS
            - VAT_VERIFICATION
            - TAGS
            - SHAREHOLDERS_CHECK
            - AML_MONITORING_USERS
            - LINKED_COMPANIES
            - COMMENTS
            - COMPANY_AML_CHECK
            - COMPANY_ADVERSE_MEDIA_CHECK
            - BENEFICIARY_AML_CHECKS
            - BENEFICIARY_ADVERSE_MEDIA_CHECKS
    CompanyPdfContentEnum:
      enum:
        - SUBMITTED_COMPANY_INFO
        - COMPANY_META
        - RELATED_SUBJECTS
        - OWNERSHIP_STRUCTURE
        - QUESTIONNAIRE_ANSWERS
        - COMPANY_NAME_AUDIT
        - BANK_VERIFICATION
        - WEBSITE_AUDIT
        - ADDRESS_AUDIT
        - GOV_CHECKS
        - KYB_DATA_MATCHING
        - KYB_DOCUMENTS
        - AUDIT_LOGS
        - VAT_VERIFICATION
        - TAGS
        - SHAREHOLDERS_CHECK
        - AML_MONITORING_USERS
        - LINKED_COMPANIES
        - COMMENTS
        - COMPANY_AML_CHECK
        - COMPANY_ADVERSE_MEDIA_CHECK
        - BENEFICIARY_AML_CHECKS
        - BENEFICIARY_ADVERSE_MEDIA_CHECKS
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````